<?php
session_start();
    if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
        header('Access-Control-Allow-Origin: *');
        header('Access-Control-Allow-Methods: POST, GET, DELETE, PUT, PATCH, OPTIONS');
        header('Access-Control-Allow-Headers: *');
        header('Access-Control-Max-Age: 1728000');
        header('Content-Length: 0');
        header('Content-Type: multipart/form-data');
        die();
    }

    header('Access-Control-Allow-Origin: *');
    header('Content-Type: multipart/form-data');
    header('Access-Control-Allow-Headers: *');
    include('db.php');

        $user = $_POST['user'];

        $formation = $_POST['formation'];
        
        $fichier_recu = $_POST['fichier_recu'];
        
        $moyen = $_POST['moyen'];

       
            
            $content_dir = 'fichiers/'; // dossier où sera déplacé le fichier
    
            $tmp_file = $_FILES['fichier_recu']['tmp_name'];
           
            if( !is_uploaded_file($tmp_file) )
            {
                 //echo (json_encode(['error' => 3]));
                exit("impossible d'insérer le fichier");
            }
           
            // on vérifie maintenant l'extension
            $type_file = $_FILES['fichier_recu']['type'];
           
            if( !strstr($type_file, 'png') && !strstr($type_file, 'jpg') && !strstr($type_file, 'jpeg') && !strstr($type_file, 'pdf') )
            {
                exit("Format de fichier non supporté");
            }
            //On verifie la taille du fichier(<=10)
            $taillMax=10485760;
            if($_FILES['fichier_recu']['size'] > $taillMax){echo('votre fichier dépasse 10Mb');}
            // on copie le fichier dans le dossier de destination
            $name_file = $_FILES['fichier_recu']['name'];
           
            if( !move_uploaded_file($tmp_file, $content_dir . $name_file) )
            {
                exit("impossible de copier le fichier dans $content_dir");
            }
            $_SESSION['fichier_recu'] = $content_dir.$name_file;
            $imgz =$_SESSION['fichier_recu'];
            //ajouter
            $up=$db->prepare('INSERT INTO depot_internationaux(fichier_recu,moyen,user,formation) VALUES(?,?,?,?) ');

            $up->execute(array($imgz, $moyen, $user, $formation));
            if($up){
                include('mailAdmin2.php');
            }

            

    